## org.apache.axis.encoding.ser
Class CalendarSerializerFactory

    java.lang.Object
      org.apache.axis.encoding.ser.BaseFactory
          org.apache.axis.encoding.ser.BaseSerializerFactory
              org.apache.axis.encoding.ser.CalendarSerializerFactory

All Implemented Interfaces:
  java.io.Serializable, SerializerFactory, SerializerFactory

public class CalendarSerializerFactory
extends BaseSerializerFactory

SerializerFactory for Calendar(dateTime) primitives

Author:
  Rich Scheuerle <scheu@us.ibm.com>
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.encoding.ser.BaseSerializerFactory
`getSerializer, javaType, log, ser, serClass, serClassConstructor, xmlType`

Constructor Summary
`CalendarSerializerFactory(java.lang.Class javaType, QName xmlType)`

Methods inherited from class org.apache.axis.encoding.ser.BaseSerializerFactory
`createFactory, getGeneralPurpose, getGetSerializer, getJavaType, getSerClassConstructor, getSerializerAs, getSerializerAsInternal, getSpecialized, getSupportedMechanismTypes, getXMLType`

Methods inherited from class org.apache.axis.encoding.ser.BaseFactory
`getMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalendarSerializerFactory

    public CalendarSerializerFactory(java.lang.Class javaType,
                                     QName xmlType)

Copyright © 2005 Apache Web Services Project. All Rights Reserved.